Change in libosmocore[master]: jenkins_arch.sh: Exit with error on unknown architecture

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Harald Welte gerrit-no-reply at lists.osmocom.org
Thu Jun 28 09:25:36 UTC 2018


Harald Welte has submitted this change and it was merged. ( https://gerrit.osmocom.org/9756 )

Change subject: jenkins_arch.sh: Exit with error on unknown architecture
......................................................................

jenkins_arch.sh: Exit with error on unknown architecture

The jenkins build job used to call this script using an "arch"
it doesn't understand.  This should have resulted in an error,
but it didn't as there was a missing "exit 1" statement :(

Related: OS#3360
Change-Id: Ib27c9ebaf2630c432b1923f8e14b36e7772a6033
---
M contrib/jenkins_arch.sh
1 file changed, 1 insertion(+), 0 deletions(-)

Approvals:
  Harald Welte: Looks good to me, approved
  Jenkins Builder: Verified



diff --git a/contrib/jenkins_arch.sh b/contrib/jenkins_arch.sh
index cf9546e..99ce5c1 100755
--- a/contrib/jenkins_arch.sh
+++ b/contrib/jenkins_arch.sh
@@ -29,5 +29,6 @@
   *)
     set +x
     echo "Unexpected architecture '$arch'"
+    exit 1
   ;;
 esac

-- 
To view, visit https://gerrit.osmocom.org/9756
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-MessageType: merged
Gerrit-Change-Id: Ib27c9ebaf2630c432b1923f8e14b36e7772a6033
Gerrit-Change-Number: 9756
Gerrit-PatchSet: 3
Gerrit-Owner: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Jenkins Builder
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20180628/924025ef/attachment.htm>


More information about the gerrit-log mailing list